import { h } from "@stencil/core";
export class Ingress {
    render() {
        const classAttributes = ["hy-ingress"];
        return (h("div", { class: classAttributes.join(" ") },
            h("slot", null)));
    }
    static get is() { return "hy-ingress"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["ingress.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["ingress.css"]
    }; }
}
