import { h } from "@stencil/core";
export class Row {
    constructor() {
        this.justify = "flex-start";
        this.align = "center";
    }
    render() {
        return (h("div", { class: "hy-row", style: {
                justifyContent: this.justify,
                alignContent: this.align
            } },
            h("slot", null)));
    }
    static get is() { return "hy-row"; }
    static get originalStyleUrls() { return {
        "$": ["row.css"]
    }; }
    static get styleUrls() { return {
        "$": ["row.css"]
    }; }
    static get properties() { return {
        "justify": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "justify",
            "reflect": false,
            "defaultValue": "\"flex-start\""
        },
        "align": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "align",
            "reflect": false,
            "defaultValue": "\"center\""
        }
    }; }
}
